Nodes
List nodes
GET
/
clusters
/
{id}
/
nodes
List nodes
curl --request GET \
--url https://api.akua.dev/v1/clusters/{id}/nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/clusters/{id}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/clusters/{id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/clusters/{id}/nodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/clusters/{id}/nodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akua.dev/v1/clusters/{id}/nodes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/clusters/{id}/nodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"name": "<string>",
"cluster_id": "<string>",
"source": {
"kind": "node_pool",
"node_pool_id": "default",
"machine_id": "<string>"
},
"state": "provisioning",
"conditions": [
{
"reason": "agent-offline",
"severity": "error",
"message": "<string>",
"remedy": {
"kind": "free-capacity",
"metric": "kaas/clusters",
"limit": 123,
"usage": 123,
"hint": "<string>"
},
"last_transition_at": 1
}
],
"ready": true,
"provider_id": "<string>",
"labels": {},
"kubelet_version": "<string>",
"created_at": 4503599627370495
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Gone",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "TooManyRequests",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "InternalServerError",
"success": false,
"errors": [
{
"code": 7009,
"message": "Internal server error"
}
],
"result": {}
}{
"_tag": "ExternalServiceError",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "GatewayTimeout",
"success": false,
"errors": [],
"result": {}
}Headers
Query Parameters
⌘I
List nodes
curl --request GET \
--url https://api.akua.dev/v1/clusters/{id}/nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/clusters/{id}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/clusters/{id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/clusters/{id}/nodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/clusters/{id}/nodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akua.dev/v1/clusters/{id}/nodes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/clusters/{id}/nodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"name": "<string>",
"cluster_id": "<string>",
"source": {
"kind": "node_pool",
"node_pool_id": "default",
"machine_id": "<string>"
},
"state": "provisioning",
"conditions": [
{
"reason": "agent-offline",
"severity": "error",
"message": "<string>",
"remedy": {
"kind": "free-capacity",
"metric": "kaas/clusters",
"limit": 123,
"usage": 123,
"hint": "<string>"
},
"last_transition_at": 1
}
],
"ready": true,
"provider_id": "<string>",
"labels": {},
"kubelet_version": "<string>",
"created_at": 4503599627370495
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Gone",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "TooManyRequests",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "InternalServerError",
"success": false,
"errors": [
{
"code": 7009,
"message": "Internal server error"
}
],
"result": {}
}{
"_tag": "ExternalServiceError",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "GatewayTimeout",
"success": false,
"errors": [],
"result": {}
}